Smart Proxy - Feature #12209

Introduce support for dependency injection in dns module
10/19/2015 09:19 AM - Anonymous

Status: Closed
Priority: Normal
Assignee:
Category: DNS
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/329,
https://github.com/theforeman/smart-pro
xy/pull/384
Description

Related issues:
Related to Smart Proxy - Bug #12597: Smart Proxy DNS tests have an extra meth... Closed
Related to Smart Proxy - Bug #13080: nsupdate module allows to specify mutual... Resolved

11/24/2015
01/08/2016

Associated revisions

Revision 42b95815 - 11/24/2015 10:22 AM - Dmiitri Dolguikh
Fixes #12209: introduced basic support for di in dns module
DNS record class interface has been cleaned up with validation and type

parsing logic moved into the controller layer, resulting in separate
create and delete methods for A and PTR records.

Revision ¢1994b8f - 02/29/2016 06:27 AM - Ewoud Kohl van Wijngaarden

Refs #12209: Pass in the actual values to {create,remove}_ptr_record

History

#1 - 10/19/2015 09:20 AM - Anonymous
- Category set to DNS
- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 10/19/2015 09:21 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/329 added
- Pull request deleted ()

#3 - 10/19/2015 09:25 AM - Ohad Levy

whats the usage case? could you elaborate?

#4 - 10/20/2015 07:35 AM - Dominic Cleal
Ohad Levy wrote:

whats the usage case? could you elaborate?

https://github.com/theforeman/smart_proxy_dns_powerdns/pull/8#issuecomment-147664350

05/18/2024

1/2



https://github.com/theforeman/smart_proxy_dns_powerdns/pull/8#issuecomment-147664350

#5 - 10/20/2015 08:09 AM - Anonymous

Also used in puppet_proxy (one of the examples: https:/github.com/theforeman/smart-proxy/blob/develop/modules/puppet_proxy/environment.rb)
and dhcp (all providers and the main module) modules to handle dependency resolution and lifecycle (instance vs. class vars).

#6 - 10/22/2015 09:59 AM - Lukas Zapletal
Refactoring ticket without any description, PR has no description. All we have is one comment which mostly explains it, but let's copy&paste things
into descriptions please :-)

#7 - 11/24/2015 10:22 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#8 - 11/24/2015 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 42b958156808eb2a16bd895863b196fca8f2977d.

#9 - 11/25/2015 03:19 AM - Dominic Cleal
- Related to Bug #12597: Smart Proxy DNS tests have an extra method definition that is upsetting rubocop added

#10 - 02/22/2016 09:20 AM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/384 added

#11-01/11/2017 10:04 AM - Anonymous

- Related to Bug #13080: nsupdate module allows to specify mutually exclusive -k and -g options at the same time, which leads to a cryptic "Broken
pipe" error added
